Subject: [bug#69091] Package name

From: Andreas Enge <[email-masked]>
Date: Fri, 16 Feb 2024 11:06:05 +0100

Hello,

according to our naming convention
   https://guix.gnu.org/de/manual/devel/en/html_node/Package-Naming.html
   https://guix.gnu.org/de/manual/devel/en/html_node/Python-Modules.html
I think the package should be called clojure-java-time (well, this is not
spelt out precisely, but we could argue by analogy, and by consistency with
the existing clojure packages).

I know nothing about clojure, but am wondering about two things:
- There is one other package with #:aot-exclude '(#:all), which gives
  an explanation why the line is there; could you add one here as well?
- Would it make sense to package math.combinatorics first to enable the
  tests? If we do not test now, I am afraid we will forget it later...

Andreas